searchData={"items":[{"type":"module","title":"BamlElixir","doc":"","ref":"BamlElixir.html"},{"type":"function","title":"BamlElixir.call/3","doc":"","ref":"BamlElixir.html#call/3"},{"type":"module","title":"BamlElixir.Client","doc":"A client for interacting with BAML functions.\n\nThis module provides functionality to call BAML functions either synchronously or as a stream.","ref":"BamlElixir.Client.html"},{"type":"module","title":"Examples - BamlElixir.Client","doc":"# Create a client\n    client = %BamlElixir.Client{}\n\n    # Call a function synchronously\n    {:ok, result} = BamlElixir.Client.call(client, \"MyFunction\", %{arg1: \"value\"})\n\n    # Stream function results\n    stream = BamlElixir.Client.stream!(client, \"MyFunction\", %{arg1: \"value\"})\n    Enum.each(stream, fn result -> IO.inspect(result) end)","ref":"BamlElixir.Client.html#module-examples"},{"type":"function","title":"BamlElixir.Client.call/3","doc":"Calls a BAML function synchronously.","ref":"BamlElixir.Client.html#call/3"},{"type":"function","title":"Parameters - BamlElixir.Client.call/3","doc":"- `client`: The BAML client struct\n  - `function_name`: The name of the BAML function to call\n  - `args`: A map of arguments to pass to the function","ref":"BamlElixir.Client.html#call/3-parameters"},{"type":"function","title":"Returns - BamlElixir.Client.call/3","doc":"- `{:ok, term()}` on success, where the term is the function's return value\n  - `{:error, String.t()}` on failure, with an error message","ref":"BamlElixir.Client.html#call/3-returns"},{"type":"function","title":"Examples - BamlElixir.Client.call/3","doc":"{:ok, result} = BamlElixir.Client.call(client, \"MyFunction\", %{arg1: \"value\"})","ref":"BamlElixir.Client.html#call/3-examples"},{"type":"function","title":"BamlElixir.Client.stream!/3","doc":"Calls a BAML function and returns a stream of results as tokens are generated by an LLM.","ref":"BamlElixir.Client.html#stream!/3"},{"type":"function","title":"Parameters - BamlElixir.Client.stream!/3","doc":"- `client`: The BAML client struct\n  - `function_name`: The name of the BAML function to call\n  - `args`: A map of arguments to pass to the function","ref":"BamlElixir.Client.html#stream!/3-parameters"},{"type":"function","title":"Returns - BamlElixir.Client.stream!/3","doc":"- A stream of results","ref":"BamlElixir.Client.html#stream!/3-returns"},{"type":"function","title":"Examples - BamlElixir.Client.stream!/3","doc":"stream = BamlElixir.Client.stream!(client, \"MyFunction\", %{arg1: \"value\"})\n    Enum.each(stream, fn result -> IO.inspect(result) end)","ref":"BamlElixir.Client.html#stream!/3-examples"},{"type":"module","title":"BamlElixir.Native","doc":"","ref":"BamlElixir.Native.html"},{"type":"function","title":"BamlElixir.Native.call/3","doc":"","ref":"BamlElixir.Native.html#call/3"},{"type":"function","title":"BamlElixir.Native.stream/4","doc":"","ref":"BamlElixir.Native.html#stream/4"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}